void WaterFog(inout vec3 color,vec3 viewPos,float fogrange){
    float fog=length(viewPos)/fogrange;
    fog=1.-exp(-3.*fog*fog);
    color*=pow(waterColor.rgb,vec3(.5))*3;
    color=mix(color,pow(waterColor.rgb*(1.-blindFactor),vec3(2.)),fog);
}